Main Page Widgets Namespaces Book

# Gtk::CellView Class Reference
[Widgets]

Inheritance diagram for Gtk::CellView:
[legend]
List of all members.

## Detailed Description

TODO.

## Public Member Functions

virtual | ~CellView ()
GtkCellView* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkCellView* | gobj () const
| Provides access to the underlying C GtkObject.
| CellView ()
void | set_value (CellRenderer& renderer, const Glib::ustring& property, const Glib::ValueBase& value)
void | set_model (const Glib::RefPtr<TreeModel>& model)
void | set_displayed_row (const TreeModel::Path& path)
| Sets the row of the model that is currently displayed by the Gtk::CellView.
TreeModel::Path | get_displayed_row () const
bool | get_size_of_row (const TreeModel::Path& path, Requisition& requisition) const
void | set_background_color (const Gdk::Color& color)
void | set_cell_data ()
Glib::ListHandle<CellRenderer*> | get_cell_renderers ()
Glib::ListHandle<const CellRenderer*> | get_cell_renderers () const

## Related Functions

(Note that these are not member functions.)
Gtk::CellView* | wrap (GtkCellView* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::CellView::~CellView | ( |  | ) | `[virtual]`

Gtk::CellView::CellView | ( |  | ) |

## Member Function Documentation

Glib::ListHandle<const CellRenderer*> Gtk::CellView::get_cell_renderers | ( |  | ) | const

Glib::ListHandle<CellRenderer*> Gtk::CellView::get_cell_renderers | ( |  | ) |

TreeModel::Path Gtk::CellView::get_displayed_row | ( |  | ) | const

bool Gtk::CellView::get_size_of_row | ( | const TreeModel::Path& | path,
|  | Requisition& | requisition
| ) | const

const GtkCellView* Gtk::CellView::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Widget.

GtkCellView* Gtk::CellView::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Widget.

void Gtk::CellView::set_background_color | ( | const Gdk::Color& | color | ) |

void Gtk::CellView::set_cell_data | ( |  | ) |

void Gtk::CellView::set_displayed_row | ( | const TreeModel::Path& | path | ) |

Sets the row of the model that is currently displayed by the Gtk::CellView.

If the path is unset, then the contents of the cellview "stick" at their last value; this is not normally a desired result, but may be a needed intermediate state if say, the model for the Gtk::CellView becomes temporarily empty.

Parameters:

  | path | A Gtk::TreePath or `0` to unset.

void Gtk::CellView::set_model | ( | const Glib::RefPtr<TreeModel>& | model | ) |

void Gtk::CellView::set_value | ( | CellRenderer& | renderer,
|  | const Glib::ustring& | property,
|  | const Glib::ValueBase& | value
| ) |

## Friends And Related Function Documentation

Gtk::CellView* wrap | ( | GtkCellView* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

Parameters:

  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- cellview.h